## helma.doc
Class DocTag

    java.lang.Object
      helma.doc.DocTag

    public final class DocTag

extends java.lang.Object

Method Summary
`java.lang.String` `getName()`
`java.lang.String` `getText()`
`java.lang.String` `getType()`
`static boolean` `isTagStart(java.lang.String rawTag)`
`static boolean` `isTagWithName(java.lang.String tagName)`
`static java.lang.String` `matchTagName(java.lang.String tagName)` match tags where we want different names to be valid as one and the same tag
`static DocTag` `parse(java.lang.String rawTag)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### parse

    public static DocTag parse(java.lang.String rawTag)
                        throws DocException

  Parameters:
    `rawTag` - ...
  Returns:
    ...
  Throws:
    `DocException` - ...

### isTagStart

    public static boolean isTagStart(java.lang.String rawTag)

  Parameters:
    `rawTag` - a line from a helmadoc comment
  Returns:
    true if the line represents a tag

### matchTagName

    public static java.lang.String matchTagName(java.lang.String tagName)

  match tags where we want different names to be valid as one and the same tag

  Parameters:
    `tagName` - original name
  Returns:
    modified name if tag was matched

### isTagWithName

    public static boolean isTagWithName(java.lang.String tagName)

### getType

    public java.lang.String getType()

  Returns:
    ...

### getName

    public java.lang.String getName()

  Returns:
    ...

### getText

    public java.lang.String getText()

  Returns:
    ...

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    ...

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.